spandsp: hdlc_rx_state_s Struct Reference

spandsp 0.0.6

Public Attributes | List of all members
hdlc_rx_state_s Struct Reference

`#include <hdlc.h>`

## Public Attributes
int | crc_bytes
size_t | max_frame_len
| Maximum permitted frame length.
hdlc_frame_handler_t | frame_handler
| The callback routine called to process each good received frame.
void * | frame_user_data
| An opaque parameter passed to the frame callback routine.
modem_rx_status_func_t | status_handler
| The callback routine called to report status changes.
void * | status_user_data
| An opaque parameter passed to the status callback routine.
int | report_bad_frames
| TRUE if bad frames are to be reported.
int | framing_ok_threshold
| The number of consecutive flags which must be seen before framing is declared OK.
int | framing_ok_announced
| TRUE if framing OK has been announced.
int | flags_seen
| Number of consecutive flags seen so far.
unsigned int | raw_bit_stream
| The raw (stuffed) bit stream buffer.
unsigned int | byte_in_progress
| The destuffed bit stream buffer.
int | num_bits
| The current number of bits in byte_in_progress.
int | octet_counting_mode
| TRUE if in octet counting mode (e.g. for MTP).
int | octet_count
| Octet count, to achieve the functionality needed for things like MTP.
int | octet_count_report_interval
| The number of octets to be allowed between octet count reports.
uint8_t | buffer [HDLC_MAXFRAME_LEN+4]
| Buffer for a frame in progress.
size_t | len
| Length of a frame in progress.
unsigned long int | rx_bytes
| The number of bytes of good frames received (CRC not included).
unsigned long int | rx_frames
| The number of good frames received.
unsigned long int | rx_crc_errors
| The number of frames with CRC errors received.
unsigned long int | rx_length_errors
| The number of too short and too long frames received.
unsigned long int | rx_aborts
| The number of HDLC aborts received.

## Detailed Description

HDLC receive descriptor. This contains all the state information for an HDLC receiver.

## Member Data Documentation

## ◆ crc_bytes

int hdlc_rx_state_s::crc_bytes

2 for CRC-16, 4 for CRC-32

Referenced by hdlc_rx_init(), and hdlc_rx_set_max_frame_len().

The documentation for this struct was generated from the following file:

- private/hdlc.h